#!/bin/sh
#
# Written by Geoff Mottram (geoff at minaret dot biz).
#
# Placed in the public domain by the author.
#
# See LICENSE.txt for NO WARRANTY statement.
#

#
# Copies the files in the current directory (which should
# be boot/tools) to the /boot/tools directory of a
# running IX2 device with a hostname of "ix2".
#

SOURCE=`readlink -f .`
TARGET="root@ix2:/boot/tools"

# check the current directory
if [ ! -d ../dts ]; then
    cat <<END

You appear to be in the wrong directory.
Cannot locate "../dts" directory.
You must run this script from the "boot/tools" directory.

END
    exit 1
fi

clear
cat << END
This script will update the files in the /boot/tools
directory of a running IX2 device to.

SOURCE: $SOURCE
TARGET: $TARGET

END
echo -n "Press any key to continue or CTRL-C to quit: "
read ANS

#
# Add the "n" option for a dry run; i.e. -anv
# Calling this script with -n will do the trick.
#
if rsync -av $* --delete . $TARGET; then
    echo "\nSuccessful copy"
else
    echo "\nError: rsync returned $?"
    exit 1
fi
