#!/bin/sh
#
# Written by Geoff Mottram (geoff at minaret dot biz).
#
# Placed in the public domain by the author.
#
# See LICENSE.txt for NO WARRANTY statement.
#

#
# Disassociate an image file from any loopback devices.
#
# The environment variable IMAGE_FILE must be set and should
# point to the image file to create.
#
# Usage:
#   IMAGE_FILE="../../images/disk.img" sh unloop.sh
#

#
# source functions
#
for NAME in "images.sh"; do
    NAME="functions/$NAME"
    if [ -f $NAME ]; then
        . "$NAME"
    else
        echo "\nCannot locate script file \"$NAME\". Exiting...\n"
        exit 1
    fi
done

# Check that IMAGE_FILE is set.
image_file || exit 1

clear
cat <<END

This script will disassociate any loopback device from the
following image file:

    $IMAGE_FILE

END

echo -n "Press ENTER to continue: "
read ANS

# disconnect image file from any loop devices (expects IMAGE_FILE set)
unloop
exit $?
